> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get identities

## Overview

Gets the account's legal identities.

## HTTP request

`POST /Agent/Legal/GetIdentities`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"offset":Optional(Int(0 <= POffset <= 2147483647)),
	"maxCount":Optional(Int(0 < PMaxCount <= 2147483647))
}
```

## Input parameters

| Parameter | Description                                 |
| --------- | ------------------------------------------- |
| POffset   | Offset into the list where response begins. |
| PMaxCount | Maximum number of identities to return.     |

## Response (JSON)

```json theme={null}
{
	"Identities":Required(PIdentity)?[]
}
```

## Response parameters

| Parameter | Description             |
| --------- | ----------------------- |
| PIdentity | Identity objects found. |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
